Skip to main content

Documentation Index

Fetch the complete documentation index at: https://developer.wooxpro.com/llms.txt

Use this file to discover all available pages before exploring further.

Get Invited Customer List (KEYED)

Used by agents to query rebate information of invited users within a specified time range.

Request URL

GET https://cloud-api.wooxpro.com/contract/private/affiliate/rebate-inviteUser

Request Limit

See Detailed Rate Limit

Request Parameters

Request
curl https://cloud-api.wooxpro.com/contract/private/affiliate/rebate-inviteUser?start_time=1000000000&end_time=2000000000&page=1&size=10
FieldTypeRequiredDescription
cidLongNoUser CID to query
start_timeLongYesQuery start timestamp (in second)
end_timeLongYesQuery end timestamp (in second)
pageIntegerYesPage number
sizeIntegerYesNumber of records per page
Note
  • If the time range is filled in, end_time must be greater than the value of start_time, and the maximum query interval of start_time and end_time is 60 days
  • The maximum size is 50 records. If the number exceeds 50, only 50 records will be retrieved.

Response Data

Response
{
  "code": "1000",
  "message": "OK",
  "success": true,
  "data": {
    "list": [
      {
        "rebateTotal": "0",
        "tradingVolTotal": "0",
        "cashbackRate": "0.00000000",
        "tradingFeeTotal": "0",
        "backRate": "30.00000000",
        "cid": 100000000,
        "status": 1
      }
    ],
    "page": 1,
    "size": 10,
    "total": 10
  },
  "requestId": "d0ca45a64b1449a79a5773c705165a27",
  "trace": null
}

FieldTypeDescription
rebateTotalStringCumulative Commission Rebate Amount (converted to USDT)
tradingVolTotalStringCumulative trading volume (converted to USDT)
cashbackRateStringCashback percentage
tradingFeeTotalStringTotal transaction fees (converted to USDT)
backRateStringRebate rate
cidLongUser CID
statusIntegerIs the Rebate issued
-1= Yes
-0= No